%define anolis_release 1
%global pypi_name astunparse

Name:           python-%{pypi_name}
Version:        1.6.3
Release:        %{anolis_release}%{?dist}
Summary:        An AST unparser for Python
License:        BSD and Python
URL:            https://github.com/simonpercivall/astunparse
Source0:        %{pypi_source}

# Python 3.9+ support
# https://github.com/simonpercivall/astunparse/pull/57
Patch1:         python3.9.patch

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-six
BuildRequires:  python3-wheel

%description
This is a factored out version of unparse found in the Python source
distribution; under Tools/parser in Python 3.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This is a factored out version of unparse found in the Python source
distribution; under Tools/parser in Python 3.

%package -n     python3-%{pypi_name}-doc
Summary:        Doc files for python3-%{pypi_name}
Requires:       python3-%{pypi_name} = %{EVR}

%description -n python3-%{pypi_name}-doc
Doc files for python3-%{pypi_name}

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/

%files -n python3-%{pypi_name}-doc
%doc README.rst

%changelog
* Wed Jun 14 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.6.3-1
- init from upstream
